<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- A basic XSL stylesheet for tinydict -->
<!-- Christopher Manning December 2003 -->

<xsl:output method="html" version="3.2"/>

<xsl:template match="/" xml:space="default">
<HTML>
<HEAD>
<TITLE>
<xsl:text>Biao Mien Word List</xsl:text>
</TITLE>
</HEAD>
<BODY BGCOLOR="white" LINK="blue" VLINK="red">
<xsl:apply-templates select="lexicon/forms/form"/>
</BODY>
</HTML>
</xsl:template>

<xsl:template match="form">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="linguisticform">
  <H1><xsl:apply-templates/></H1>
</xsl:template>

<xsl:template match="grammatical-relation[@pos]">
  <p><i>Part of speech: <xsl:apply-templates select="@pos"/></i></p>
</xsl:template>

<xsl:template match="gloss">
  <p><b><xsl:apply-templates select="@value"/></b>
  <i> (Semantic domain: <xsl:apply-templates select="semantic-field"/>)</i></p>
</xsl:template>

<xsl:template match="compare">
  <p><xsl:text>Cf. </xsl:text><xsl:apply-templates select="compare-link"/>
  <xsl:text> (</xsl:text><xsl:apply-templates select="relation-term"/>
  <xsl:text> </xsl:text><xsl:apply-templates select="certainty"/>
  <xsl:text>)</xsl:text></p>
</xsl:template>

<xsl:template match="composed-of">
  <p><xsl:text>Compound of: </xsl:text><xsl:apply-templates select="composedform-link"/></p>
</xsl:template>

<xsl:template match="notes">
  <p><i>Note: </i> <xsl:apply-templates/></p>
</xsl:template>

</xsl:stylesheet>
